| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Namespace List
- Namespace Members

# Gaudi::Histos Namespace Reference

## Detailed Description

collection of simple utilities to deal with histograms

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2007-09-17

## Functions
AIDA::IHistogram1D * | book (IHistogramSvc *svc, const std::string &path, const Gaudi::Histo1DDef &hist)
| helper function to book 1D-histogram
AIDA::IHistogram1D * | book (IHistogramSvc *svc, const std::string &dir, const std::string &id, const Gaudi::Histo1DDef &hist)
| helper function to book 1D-histogram
AIDA::IHistogram1D * | book (IHistogramSvc *svc, const std::string &dir, const int id, const Gaudi::Histo1DDef &hist)
| helper function to book 1D-histogram
AIDA::IHistogram1D * | book (IHistogramSvc *svc, const std::string &path, const Gaudi::Histo1DDef &hist)
| helper function to book 1D-histogram
AIDA::IHistogram1D * | book (IHistogramSvc *svc, const std::string &dir, const std::string &id, const Gaudi::Histo1DDef &hist)
| helper function to book 1D-histogram
AIDA::IHistogram1D * | book (IHistogramSvc *svc, const std::string &dir, const int id, const Gaudi::Histo1DDef &hist)
| helper function to book 1D-histogram

## Function Documentation

AIDA::IHistogram1D* Gaudi::Histos::book | ( | IHistogramSvc * | svc,
|  | const std::string & | dir,
|  | const int | id,
|  | const Gaudi::Histo1DDef & | hist |
| ) |  |  |

helper function to book 1D-histogram

Parameters:

  | svc | pointer to Histogram Service
  | dir | directory path in Histogram Data Store
  | id | historgam identifier
  | hist | histogram desctription

Definition at line 159 of file HistoDef.cpp.

Referenced by book(), GaudiHistos< PBASE >::book1D(), GaudiHistos< PBASE >::book2D(), GaudiHistos< PBASE >::book3D(), and GaudiTuples< PBASE >::nTuple().

    00163 {
    00164   if ( 0 == svc ) { return 0 ; }
    00165   return svc -> book
    00166     ( dir , id  ,
    00167       hist.title() , hist.bins() , hist.lowEdge() , hist.lowEdge() ) ;
    00168 }

AIDA::IHistogram1D* Gaudi::Histos::book | ( | IHistogramSvc * | svc,
|  | const std::string & | dir,
|  | const std::string & | id,
|  | const Gaudi::Histo1DDef & | hist |
| ) |  |  |

helper function to book 1D-histogram

Parameters:

  | svc | pointer to Histogram Service
  | dir | directory path in Histogram Data Store
  | id | historgam identifier
  | hist | histogram desctription

Definition at line 139 of file HistoDef.cpp.

References book().

    00143 {
    00144   if ( 0 == svc ) { return 0 ; }
    00145   return svc -> book
    00146     ( dir , id  ,
    00147       hist.title() , hist.bins() , hist.lowEdge() , hist.lowEdge() ) ;
    00148 }

AIDA::IHistogram1D* Gaudi::Histos::book | ( | IHistogramSvc * | svc,
|  | const std::string & | path,
|  | const Gaudi::Histo1DDef & | hist |
| ) |  |  |

helper function to book 1D-histogram

Parameters:

  | svc | pointer to Histogram Service
  | path | full path in Histogram Data Store
  | hist | histogram desctription

Definition at line 120 of file HistoDef.cpp.

References book(), and Gaudi::Utils::Histos::path().

    00123 {
    00124   if ( 0 == svc ) { return 0 ; }
    00125   return svc -> book
    00126     ( path ,
    00127       hist.title() , hist.bins() , hist.lowEdge() , hist.lowEdge() ) ;
    00128 }

AIDA::IHistogram1D* Gaudi::Histos::book | ( | IHistogramSvc * | svc,
|  | const std::string & | dir,
|  | const int | id,
|  | const Gaudi::Histo1DDef & | hist |
| ) |  |  |

helper function to book 1D-histogram

Parameters:

  | svc | pointer to Histogram Service
  | dir | directory path in Histogram Data Store
  | id | historgam identifier
  | hist | histogram desctription

Definition at line 159 of file HistoDef.cpp.

Referenced by book(), GaudiHistos< PBASE >::book1D(), GaudiHistos< PBASE >::book2D(), GaudiHistos< PBASE >::book3D(), and GaudiTuples< PBASE >::nTuple().

    00163 {
    00164   if ( 0 == svc ) { return 0 ; }
    00165   return svc -> book
    00166     ( dir , id  ,
    00167       hist.title() , hist.bins() , hist.lowEdge() , hist.lowEdge() ) ;
    00168 }

AIDA::IHistogram1D* Gaudi::Histos::book | ( | IHistogramSvc * | svc,
|  | const std::string & | dir,
|  | const std::string & | id,
|  | const Gaudi::Histo1DDef & | hist |
| ) |  |  |

helper function to book 1D-histogram

Parameters:

  | svc | pointer to Histogram Service
  | dir | directory path in Histogram Data Store
  | id | historgam identifier
  | hist | histogram desctription

Definition at line 139 of file HistoDef.cpp.

    00143 {
    00144   if ( 0 == svc ) { return 0 ; }
    00145   return svc -> book
    00146     ( dir , id  ,
    00147       hist.title() , hist.bins() , hist.lowEdge() , hist.lowEdge() ) ;
    00148 }

AIDA::IHistogram1D* Gaudi::Histos::book | ( | IHistogramSvc * | svc,
|  | const std::string & | path,
|  | const Gaudi::Histo1DDef & | hist |
| ) |  |  |

helper function to book 1D-histogram

Parameters:

  | svc | pointer to Histogram Service
  | path | full path in Histogram Data Store
  | hist | histogram desctription

Definition at line 120 of file HistoDef.cpp.

    00123 {
    00124   if ( 0 == svc ) { return 0 ; }
    00125   return svc -> book
    00126     ( path ,
    00127       hist.title() , hist.bins() , hist.lowEdge() , hist.lowEdge() ) ;
    00128 }